From: "Henri Hennebert" <[email-masked]>
Date: Fri, 22 Feb 2002 15:23:34 +0100

Hello everyone,

Context:
Apache/2.0.32 (Win32) mod_ssl/3.0a0 OpenSSL/0.9.6c on WinXP-Pro

I try to run mod_ssl with:
SSLVerifyClient require
SSLVerifyDepth  1

The first time I visite the web site, I'm prompted by my IE
(version 6.0.2600.0000.xpclient.010817-1148) to send back
my cert. At the same time, one of the apache process has
an access violation (trapped by the VC++ debugger with which
I compile and install Apache in the first place). If I accept
to send the cert quickly, I get the requested html page! Just
next, the second apache process stop with another access violation.

When prompted , I start the debugger. The error is in
ssl_engine_io.c, fuction:

#define BIO_bucket_ptr(bio) (BIO_bucket_t *)bio->ptr

static int BIO_bucket_flush(BIO *bio)
{
    BIO_bucket_t *b = BIO_bucket_ptr(bio);

==>    if (!(b->blen || b->length)) {
        return APR_SUCCESS;
    }
   --- clip ---

Bio->ptr has a wrong value.

P.S.

If I restart a fresh copy of apache and continue my browsing
using the running copy of IE, all proceed normally. If I run
/cgi-bin/printenv I get the information of my personnal certificate
in the environment.

If I stop IE and restart it, I'm back with the access violation error.

Henri
  
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]